summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2018-07-28 13:36:24 +0200
committerJeroen Roovers <jer@gentoo.org>2018-07-28 13:38:47 +0200
commitc288bb887d1f62b472e6397dc0d6dc0adbcb1730 (patch)
treef671d191d903e33f121a2935b2763b2fb68a3bd8 /x11-terms/lilyterm/lilyterm-0.9.9.4-r2.ebuild
parentx11-terms/lilyterm: Use x11-libs/vte:2.91. (diff)
downloadgentoo-c288bb887d1f62b472e6397dc0d6dc0adbcb1730.tar.gz
gentoo-c288bb887d1f62b472e6397dc0d6dc0adbcb1730.tar.bz2
gentoo-c288bb887d1f62b472e6397dc0d6dc0adbcb1730.zip
x11-terms/lilyterm: Fix autogen.sh.
Package-Manager: Portage-2.3.43, Repoman-2.3.10
Diffstat (limited to 'x11-terms/lilyterm/lilyterm-0.9.9.4-r2.ebuild')
-rw-r--r--x11-terms/lilyterm/lilyterm-0.9.9.4-r2.ebuild36
1 files changed, 36 insertions, 0 deletions
diff --git a/x11-terms/lilyterm/lilyterm-0.9.9.4-r2.ebuild b/x11-terms/lilyterm/lilyterm-0.9.9.4-r2.ebuild
new file mode 100644
index 00000000000..8221d88b0e3
--- /dev/null
+++ b/x11-terms/lilyterm/lilyterm-0.9.9.4-r2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools
+
+DESCRIPTION="a terminal emulator based off of libvte that aims to be fast and lightweight"
+HOMEPAGE="https://lilyterm.luna.com.tw"
+LICENSE="GPL-3"
+SRC_URI="https://${PN}.luna.com.tw/file/${P}.tar.gz"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ x11-libs/vte:0
+"
+DEPEND="
+ ${RDEPEND}
+ dev-util/intltool
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+DOCS=( AUTHORS ChangeLog README TODO )
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.9.9.4-autogen.patch
+ "${FILESDIR}"/${PN}-0.9.9.4-gettext.patch
+)
+
+src_prepare() {
+ default
+
+ ./autogen.sh || die
+ eautoreconf
+}